import os
import re
import pkg_resources

# DIRECTORY
BASE_DIR = pkg_resources.resource_filename('netoprmgr', '')
os.chdir(BASE_DIR)
CAPT_DIR = os.path.join(BASE_DIR, 'static', 'capture')
DATA_DIR = os.path.join(BASE_DIR, 'static', 'data')
SCRIPT_DIR = os.path.join(BASE_DIR, 'script')
RESULT_DIR = os.path.join(BASE_DIR, 'static', 'result')


class verify_capture:
    def __init__(self, capture_path):
        self.capture_path = capture_path

    def verify_capture(self):
        chg_dir = os.chdir(self.capture_path)
        current_dir = os.getcwd()
        files = os.listdir(current_dir)
        verify_lists = []
        for file in files:
            dateGenerated = ''
            isVerified = False
            try:
                read_file = open(file, 'r')
                read_file_list = read_file.readlines()
            except:
                try:
                    read_file = open(file, 'r', encoding='latin-1')
                    read_file_list = read_file.readlines()
                except:
                    print('Error Codec!!!')
                    pass
            for line in read_file_list:
                if re.findall('show\d+clock\d+show\d+time', line):
                    isVerified = True
                    day = re.findall('show(\d+)clock\d+show\d+time', line)[0]
                    month = re.findall('show\d+clock\d+show(\d+)time', line)[0]
                    year = re.findall('show\d+clock(\d+)show\d+time', line)[0]
                    dateGenerated = (f'{day}-{month}-{year}')
            if isVerified == True:
                verify_lists.append({
                    "filename": file,
                    "verified_status": "Verified",
                    "date_generated" : dateGenerated
                })
            elif isVerified == False:
                verify_lists.append({
                    "filename": file,
                    "verified_status": "Not Generated by NETOPRMGR DM"
                })
        return verify_lists


# verify_capture = verify_capture(CAPT_DIR)
# verify_captures = verify_capture.verify_capture()
# for verify_capture in verify_captures:
#     print(verify_capture)